[ARVADOS] created: 1.1.4-192-g8c1c8e9
Git user
git at public.curoverse.com
Thu May 3 17:16:37 EDT 2018
at 8c1c8e90135d627932d4fcb7c7b72a8cc75cea75 (commit)
commit 8c1c8e90135d627932d4fcb7c7b72a8cc75cea75
Author: Tom Clegg <tclegg at veritasgenetics.com>
Date: Thu May 3 16:09:37 2018 -0400
Skip some unnecessary pip invocations.
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tclegg at veritasgenetics.com>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 6e4ea43..4a7ce24 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -489,6 +489,8 @@ setup_virtualenv() {
local venvdest="$1"; shift
if ! [[ -e "$venvdest/bin/activate" ]] || ! [[ -e "$venvdest/bin/pip" ]]; then
virtualenv --setuptools "$@" "$venvdest" || fatal "virtualenv $venvdest failed"
+ elif [[ -n "$short" ]]; then
+ return
fi
if [[ $("$venvdest/bin/python" --version 2>&1) =~ \ 3\.[012]\. ]]; then
# pip 8.0.0 dropped support for python 3.2, e.g., debian wheezy
@@ -542,8 +544,7 @@ setup_virtualenv "$VENVDIR" --python python2.7
. "$VENVDIR/bin/activate"
# Needed for run_test_server.py which is used by certain (non-Python) tests.
-pip freeze 2>/dev/null | egrep ^PyYAML= \
- || pip install --no-cache-dir PyYAML >/dev/null \
+pip install --no-cache-dir PyYAML \
|| fatal "pip install PyYAML failed"
# Preinstall libcloud if using a fork; otherwise nodemanager "pip
commit f15370d0fe86a537f9b4622109031fe1401259ef
Author: Tom Clegg <tclegg at veritasgenetics.com>
Date: Wed Apr 25 13:31:11 2018 -0400
Fix gopath/govendor recipe.
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tclegg at veritasgenetics.com>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index a835af3..6e4ea43 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -506,34 +506,37 @@ export PERLLIB="$PERLINSTALLBASE/lib/perl5:${PERLLIB:+$PERLLIB}"
export R_LIBS
export GOPATH
-mkdir -p "$GOPATH/src/git.curoverse.com"
-rmdir -v --parents --ignore-fail-on-non-empty "${temp}/GOPATH"
-for d in \
- "$GOPATH/src/git.curoverse.com/arvados.git/arvados.git" \
- "$GOPATH/src/git.curoverse.com/arvados.git"; do
- [[ -d "$d" ]] && rmdir "$d"
- [[ -h "$d" ]] && rm "$d"
-done
-ln -vsnfT "$WORKSPACE" "$GOPATH/src/git.curoverse.com/arvados.git" \
- || fatal "symlink failed"
-go get -v github.com/kardianos/govendor \
- || fatal "govendor install failed"
-cd "$GOPATH/src/git.curoverse.com/arvados.git" \
- || fatal
-# Remove cached source dirs in workdir. Otherwise, they won't qualify
-# as +missing or +external below, and we won't be able to detect that
-# they're missing from vendor/vendor.json.
-rm -r vendor/*/
-go get -v -d ...
-"$GOPATH/bin/govendor" sync \
- || fatal "govendor sync failed"
-[[ -z $("$GOPATH/bin/govendor" list +unused +missing +external | tee /dev/stderr) ]] \
- || fatal "vendor/vendor.json has unused or missing dependencies -- try:
-* govendor remove +unused
-* govendor add +missing +external
-"
-cd "$WORKSPACE"
-
+(
+ set -e
+ mkdir -p "$GOPATH/src/git.curoverse.com"
+ rmdir -v --parents --ignore-fail-on-non-empty "${temp}/GOPATH"
+ for d in \
+ "$GOPATH/src/git.curoverse.com/arvados.git/arvados.git" \
+ "$GOPATH/src/git.curoverse.com/arvados.git"; do
+ [[ -d "$d" ]] && rmdir "$d"
+ [[ -h "$d" ]] && rm "$d"
+ done
+ ln -vsnfT "$WORKSPACE" "$GOPATH/src/git.curoverse.com/arvados.git"
+ go get -v github.com/kardianos/govendor
+ cd "$GOPATH/src/git.curoverse.com/arvados.git"
+ if [[ -n "$short" ]]; then
+ go get -v -d ...
+ "$GOPATH/bin/govendor" sync
+ else
+ # Remove cached source dirs in workdir. Otherwise, they will
+ # not qualify as +missing or +external below, and we won't be
+ # able to detect that they're missing from vendor/vendor.json.
+ rm -rf vendor/*/
+ go get -v -d ...
+ "$GOPATH/bin/govendor" sync
+ [[ -z $("$GOPATH/bin/govendor" list +unused +missing +external | tee /dev/stderr) ]] \
+ || fatal "vendor/vendor.json has unused or missing dependencies -- try:
+
+(export GOPATH=\"${GOPATH}\"; cd \$GOPATH/src/git.curoverse.com/arvados.git && \$GOPATH/bin/govendor add +missing +external && \$GOPATH/bin/govendor remove +unused)
+
+";
+ fi
+) || fatal "Go setup failed"
setup_virtualenv "$VENVDIR" --python python2.7
. "$VENVDIR/bin/activate"
commit 5cdac8b758f9ba857106499ec8d93944df2fcbef
Author: Tom Clegg <tclegg at veritasgenetics.com>
Date: Wed Apr 25 13:30:27 2018 -0400
Skip explicit libcloud preinstall when not using a fork.
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tclegg at veritasgenetics.com>
diff --git a/build/libcloud-pin.sh b/build/libcloud-pin.sh
index 63f65ad..cfbba40 100644
--- a/build/libcloud-pin.sh
+++ b/build/libcloud-pin.sh
@@ -3,3 +3,10 @@
# SPDX-License-Identifier: AGPL-3.0
LIBCLOUD_PIN=2.3.0
+
+using_fork=false
+if [[ $using_fork = true ]]; then
+ LIBCLOUD_PIN_SRC="https://github.com/curoverse/libcloud/archive/apache-libcloud-$LIBCLOUD_PIN.zip"
+else
+ LIBCLOUD_PIN_SRC=""
+fi
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 50a74a6..a835af3 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -543,11 +543,13 @@ pip freeze 2>/dev/null | egrep ^PyYAML= \
|| pip install --no-cache-dir PyYAML >/dev/null \
|| fatal "pip install PyYAML failed"
-# Preinstall libcloud, because nodemanager "pip install"
-# won't pick it up by default.
-pip freeze 2>/dev/null | egrep ^apache-libcloud==$LIBCLOUD_PIN \
- || pip install --pre --ignore-installed --no-cache-dir apache-libcloud>=$LIBCLOUD_PIN >/dev/null \
- || fatal "pip install apache-libcloud failed"
+# Preinstall libcloud if using a fork; otherwise nodemanager "pip
+# install" won't pick it up by default.
+if [[ -n "$LIBCLOUD_PIN_SRC" ]]; then
+ pip freeze 2>/dev/null | egrep ^apache-libcloud==$LIBCLOUD_PIN \
+ || pip install --pre --ignore-installed --no-cache-dir "$LIBCLOUD_PIN_SRC" >/dev/null \
+ || fatal "pip install apache-libcloud failed"
+fi
# Deactivate Python 2 virtualenv
deactivate
commit 5e5dfd72919d7a8e170a842280e32e40da34aa9f
Author: Tom Clegg <tclegg at veritasgenetics.com>
Date: Sat Apr 7 20:49:21 2018 -0400
Fix wrong temp path in govendor recipe.
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tclegg at veritasgenetics.com>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 0bdcf00..50a74a6 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -507,7 +507,7 @@ export R_LIBS
export GOPATH
mkdir -p "$GOPATH/src/git.curoverse.com"
-rmdir -v --parents --ignore-fail-on-non-empty "$GOPATH/src/git.curoverse.com/arvados.git/tmp/GOPATH"
+rmdir -v --parents --ignore-fail-on-non-empty "${temp}/GOPATH"
for d in \
"$GOPATH/src/git.curoverse.com/arvados.git/arvados.git" \
"$GOPATH/src/git.curoverse.com/arvados.git"; do
commit f927bcc0942cc610e7bd8b95bcb350bcfb4a522c
Author: Tom Clegg <tclegg at veritasgenetics.com>
Date: Sat Apr 7 20:48:03 2018 -0400
Use released version of llfuse for tests.
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tclegg at veritasgenetics.com>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index a050d38..0bdcf00 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -549,22 +549,6 @@ pip freeze 2>/dev/null | egrep ^apache-libcloud==$LIBCLOUD_PIN \
|| pip install --pre --ignore-installed --no-cache-dir apache-libcloud>=$LIBCLOUD_PIN >/dev/null \
|| fatal "pip install apache-libcloud failed"
-# We need an unreleased (as of 2017-08-17) llfuse bugfix, otherwise our fuse test suite deadlocks.
-pip freeze | grep -x llfuse==1.2.0 || (
- set -e
- yes | pip uninstall llfuse || true
- cython --version || fatal "no cython; try sudo apt-get install cython"
- cd "$temp"
- (cd python-llfuse 2>/dev/null || git clone https://github.com/curoverse/python-llfuse)
- cd python-llfuse
- git checkout 620722fd990ea642ddb8e7412676af482c090c0c
- git checkout setup.py
- sed -i -e "s:'1\\.2':'1.2.0':" setup.py
- python setup.py build_cython
- python setup.py install --force
-) || fatal "llfuse fork failed"
-pip freeze | grep -x llfuse==1.2.0 || fatal "error: installed llfuse 1.2.0 but '$(pip freeze | grep llfuse)' ???"
-
# Deactivate Python 2 virtualenv
deactivate
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list